PROG=jacobi
MPI_PROCS=1

debug:
	gcc -Wall -g -fopenmp -I/opt/MPI/openmpi-1.5.3/linux/gcc/include ${PROG}.c -o ${PROG}.exe -lm -L/opt/MPI/openmpi-1.5.3/linux/gcc/lib -lmpi

release:
	gcc -Wall -g -fopenmp -Wall -O3 -I/opt/MPI/openmpi-1.5.3/linux/gcc/include ${PROG}.c -o ${PROG}.exe -lm -L/opt/MPI/openmpi-1.5.3/linux/gcc/lib -lmpi

run go: ${PROG}.exe
	OMP_DYNAMIC=false mpiexec -n $(MPI_PROCS) ./${PROG}.exe < input

clean:
	rm -rf *.er *~ ${PROG}.exe ${PROG}.o


${PROG}.exe: debug
